VismaBouwsoftAPICalls.v1_GET_AddressContacts Method
v1_GET_AddressContacts() as String

This API call is used to get fields of a(n) AddressContact(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /AddressContacts/
or
API Path: /AddressContacts/{id}
or
API Path: /AddressContacts/FieldInfo/

You can make this API call:
* without the key field id to get a list of AddressContacts
* with the key field id as the path parameter (the specific id of the AddressContact you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
address_id 1 tpLong 0 Yes No No Addresses
address_name 2 tpString 150 No No No
contact_salutation 2 tpString 50 No Yes No
contact_name 2 tpString 50 No Yes No
contact_function 2 tpString 50 No Yes No
contact_department 2 tpString 50 No Yes No
contact_note 2 tpString 0 No Yes No
contact_address 2 tpString 63 No Yes No
contact_addressline2 2 tpString 63 No Yes No
contact_countrycode 2 tpString 2 No Yes No
contact_zipcode 2 tpString 15 No Yes No
contact_city 2 tpString 40 No Yes No
contact_state 2 tpString 40 No No No
contact_email 10 tpEmail 100 No Yes No
contact_telephone 9 tpTelefoon 25 No Yes No
contact_fax 15 tpFax 25 No Yes No
contact_gsm 9 tpTelefoon 25 No Yes No
address_active 5 tpBool 0 No No No
contact_default 5 tpBool 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/AddressContacts/

API Path: /AddressContacts/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AddressContacts

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: fjOfWxfVlIzSfbmArfzRqjjGfmfAkGktfkOkztVkkDVIOlrblk

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/12517”, “Records”: [
  {
    "id": 1,
    "address_id": 24,
    "address_name": "Bouwsoft Adventures",
    "contact_salutation": "Mevr.",
    "contact_name": "Nele Verhegge",
    "contact_function": "zaakvoeder",
    "contact_department": "Vakantiehoeve",
    "contact_note": "",
    "contact_address": "Molenweg 9",
    "contact_addressline2": "",
    "contact_countrycode": "BE",
    "contact_zipcode": "8377",
    "contact_city": "Meetkerke",
    "contact_state": "West-vlaanderen",
    "contact_email": "",
    "contact_telephone": "+32 50 45 40 80 ",
    "contact_fax": "+32 50 32 38 08 ",
    "contact_gsm": "",
    "address_active": true,
    "contact_default": true,
    "ts_lastupdate": "2021–09–17 09:38:48"
  },
  {
    "id": 3,
    "address_id": 2686,
    "address_name": "MNHDT Gallery",
    "contact_salutation": "Sir",
    "contact_name": "Samuel Maenhoudt",
    "contact_function": "",
    "contact_department": "",
    "contact_note": "",
    "contact_address": "De Wielingen 3",
    "contact_addressline2": "",
    "contact_countrycode": "BE",
    "contact_zipcode": "8300",
    "contact_city": "Knokke",
    "contact_state": "West-Vlaanderen",
    "contact_email": "",
    "contact_telephone": "+32 495 28 60 13 ",
    "contact_fax": "",
    "contact_gsm": "",
    "address_active": true,
    "contact_default": true,
    "ts_lastupdate": "2018–07–10 15:25:11"
  }
,

]
}

/AddressContacts/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AddressContacts/208553

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: jPOfWxfmblzSfIObjfzRqtGAfbOlGfkbfOAbzOmAktDfDbUVbr

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 208553,
    "address_id": 329298,
    "address_name": "DirkAPICust",
    "contact_salutation": "Mevr",
    "contact_name": "Boris",
    "contact_function": "",
    "contact_department": "",
    "contact_note": "API note update",
    "contact_address": "",
    "contact_addressline2": "",
    "contact_countrycode": "",
    "contact_zipcode": "",
    "contact_city": "",
    "contact_state": "",
    "contact_email": "",
    "contact_telephone": "",
    "contact_fax": "",
    "contact_gsm": "",
    "address_active": true,
    "contact_default": false,
    "ts_lastupdate": "2026–05–07 09:18:23"
  }
]
}

/AddressContacts/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AddressContacts/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "address_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": true,
    "writeable": false,
    "forcewrite": false,
    "link": "Addresses"
  },
  {
    "name": "address_name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 150,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]